package renderer

import (
	"net/http"
)

const commentMenu = "comment"

//const commentsend = "sendComment"

func (renderer *Renderer) SupportSend(w http.ResponseWriter, r *http.Request, comment any, admins any) {

	files := renderer.ThemeConfig.GetStringSlice("views.support.request.files")
	state := NewState(r, renderer.ThemeConfig, commentMenu)
	state.ViewState = map[string]any{
		"comment": comment,
		"admins":  admins,
	}
	renderer.Render("comment", w, r, files, state)
}
